Package com.ocient.jdbc

# Class XGResultSetMetaData

java.lang.Object
com.ocient.jdbc.XGResultSetMetaData

All Implemented Interfaces:
  `ResultSetMetaData`, `Wrapper`

public class XGResultSetMetaData extends Object implements ResultSetMetaData

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`catalogName`
`final Map<String,Integer>`
`cols2Pos`
`final Map<String,String>`
`cols2Types`
`final NavigableMap<Integer,String>`
`pos2Cols`

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

## Constructor Summary

Constructors
Constructor
Description
`XGResultSetMetaData(Map<String,Integer> cols2Pos, NavigableMap<Integer,String> pos2Cols, Map<String,String> cols2Types, String catalogName, XGConnection conn)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCatalogName(int column)`
`Map<String,Integer>`
`getCols2Pos()`
`Map<String,String>`
`getCols2Types()`
`String`
`getColumnClassName(int column)`
`int`
`getColumnCount()`
`int`
`getColumnDisplaySize(int column)`
`String`
`getColumnLabel(int column)`
`String`
`getColumnName(int column)`
`int`
`getColumnType(int column)`
`String`
`getColumnTypeName(int column)`
`NavigableMap<Integer,String>`
`getPos2Cols()`
`int`
`getPosition(String name)`
`int`
`getPrecision(int column)`
`int`
`getScale(int column)`
`String`
`getSchemaName(int column)`
`String`
`getTableName(int column)`
`boolean`
`isAutoIncrement(int column)`
`boolean`
`isCaseSensitive(int column)`
`boolean`
`isCurrency(int column)`
`boolean`
`isDefinitelyWritable(int column)`
`int`
`isNullable(int column)`
`boolean`
`isReadOnly(int column)`
`boolean`
`isSearchable(int column)`
`boolean`
`isSigned(int column)`
`boolean`
`isWrapperFor(Class<?> iface)`
`boolean`
`isWritable(int column)`
`static byte`
`nameToType(String typeName)`
Converts a SQL type name (e.g., "VARCHAR", "INT") into the internal byte code used by the driver.
`String`
`toString()`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### cols2Pos

public final Map<String,Integer> cols2Pos

### pos2Cols

public final NavigableMap<Integer,String> pos2Cols

### cols2Types

public final Map<String,String> cols2Types

### catalogName

public final String catalogName

## Constructor Details

### XGResultSetMetaData

public XGResultSetMetaData(Map<String,Integer> cols2Pos, NavigableMap<Integer,String> pos2Cols, Map<String,String> cols2Types, String catalogName, XGConnection conn)

## Method Details

### getCols2Pos

public Map<String,Integer> getCols2Pos()

### getPos2Cols

public NavigableMap<Integer,String> getPos2Cols()

### getCols2Types

public Map<String,String> getCols2Types()

### getCatalogName

public String getCatalogName(int column) throws SQLException

Specified by:
  `getCatalogName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnClassName

public String getColumnClassName(int column) throws SQLException

Specified by:
  `getColumnClassName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnCount

public int getColumnCount() throws SQLException

Specified by:
  `getColumnCount` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnDisplaySize

public int getColumnDisplaySize(int column) throws SQLException

Specified by:
  `getColumnDisplaySize` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnLabel

public String getColumnLabel(int column) throws SQLException

Specified by:
  `getColumnLabel` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnName

public String getColumnName(int column) throws SQLException

Specified by:
  `getColumnName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnType

public int getColumnType(int column) throws SQLException

Specified by:
  `getColumnType` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getColumnTypeName

public String getColumnTypeName(int column) throws SQLException

Specified by:
  `getColumnTypeName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getPosition

public int getPosition(String name)

### getPrecision

public int getPrecision(int column) throws SQLException

Specified by:
  `getPrecision` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getScale

public int getScale(int column) throws SQLException

Specified by:
  `getScale` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getSchemaName

public String getSchemaName(int column) throws SQLException

Specified by:
  `getSchemaName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### getTableName

public String getTableName(int column) throws SQLException

Specified by:
  `getTableName` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isAutoIncrement

public boolean isAutoIncrement(int column) throws SQLException

Specified by:
  `isAutoIncrement` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isCaseSensitive

public boolean isCaseSensitive(int column) throws SQLException

Specified by:
  `isCaseSensitive` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isCurrency

public boolean isCurrency(int column) throws SQLException

Specified by:
  `isCurrency` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isDefinitelyWritable

public boolean isDefinitelyWritable(int column) throws SQLException

Specified by:
  `isDefinitelyWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isNullable

public int isNullable(int column) throws SQLException

Specified by:
  `isNullable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isReadOnly

public boolean isReadOnly(int column) throws SQLException

Specified by:
  `isReadOnly` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isSearchable

public boolean isSearchable(int column) throws SQLException

Specified by:
  `isSearchable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isSigned

public boolean isSigned(int column) throws SQLException

Specified by:
  `isSigned` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### isWritable

public boolean isWritable(int column) throws SQLException

Specified by:
  `isWritable` in interface `ResultSetMetaData`
Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

### nameToType

public static byte nameToType(String typeName) throws SQLException
Converts a SQL type name (e.g., "VARCHAR", "INT") into the internal byte code used by the driver. This is the inverse of type2Name.

Parameters:
  `typeName` - The SQL type name.
Returns:
  The corresponding byte type code.
Throws:
  `SQLException` - if the typeName is not a recognized Ocient type.